@charset "utf-8";

/**
 * Container
 */
.sp_container {
    border: none;
    margin: 0;
    padding: 0;
    display: inline-block;
    position: relative;
    vertical-align: middle;
}
/**
 * "Get all" button
 */
div.sp_button {
    display: inline-block;
    border-bottom-right-radius: 0;
    border-top-right-radius: 0;
    cursor: pointer;
    text-align: center;
    box-sizing: border-box;

    border: 0;
    width: 24px;
    height: 100%;
    padding: 0;
    vertical-align: middle;
    line-height: 100%;
    position: absolute;
    top: 0;
    right: 0;
}

.sp_container_open > .sp_button {
    border-bottom-right-radius: 0 !important;
}

div.sp_button span.sp_caret {
    position: absolute;
    top: 50%;
    right: 12px;
    margin-top: -1px;
    vertical-align: middle;
    display: inline-block;
    width: 0;
    height: 0;
    margin-left: 2px;
    /*vertical-align: middle;*/
    border-top: 4px dashed;
    /*border-top: 4px solid\9;*/
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

div.sp_clear_btn {
    position: absolute;
    top: 0;
    right: 25px;
    display: block;
    width: auto;
    height: 100%;
    cursor: pointer;
    font-size: 20px;
    color: #666666;
    font-weight: 600;
    margin: 0;
    padding: 6px 0 0 0;
    box-sizing: border-box;
    line-height: 1;
    font-family: "Helvetica Neue Light", "HelveticaNeue-Light", "Helvetica Neue", Calibri, Helvetica, Arial;
}
div.sp_clear_btn:hover {
    color: black;
    font-weight: bold;
}
div.sp_clear_btn i {
    font-size: 14px;
}
div.sp_clear_btn.sp_align_right {
    right: 10px;
}

/**
 * Results
 */
.sp_result_area {
    /* background-color: transparent; */
    background-color: white;
    border: 1px solid #D6D7D7;
    display: none;
    list-style: none;
    margin: 0;
    padding: 0;
    position: absolute;
    z-index: 100;
    width: 300px;
    border-radius: 2px;
}
div.sp_result_area.shadowDown{
    box-shadow: 0 3px 12px rgba(0,0,0,0.2);
    -moz-box-shadow: 0 3px 12px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0 3px 12px rgba(0,0,0,0.2);
}
div.sp_result_area.shadowUp{
    box-shadow: 0 -1px 12px rgba(0,0,0,0.2);
    -moz-box-shadow: 0 -1px 12px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0 -1px 12px rgba(0,0,0,0.2);
}
.sp_results {
    background-color: white;
    list-style: none;
    margin: 0;
    padding: 0;
}

.sp_results > li {
    height: auto !important;
    line-height: 1;
    margin: 0;
    overflow: hidden;
    padding: 4px 8px;
    position: relative;
    text-align: left;
    white-space: nowrap;
    font-size: 14px;
    color: black;
    cursor : pointer;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
.sp_results > li.sp_message_box {
    height: 30px;
    line-height: 30px;
    text-align: center;
    box-sizing: content-box;
    font-size: 14px;
    cursor: default;
}

ul.sp_results > li.sp_over {
    background-color: #53A4EA !important;
    color: #fff !important;
    cursor: pointer;
}

ul.sp_results > li.sp_selected {
    color: #cccccc;
    cursor: default;
}

.sp_control_box{
    padding: 0;
    height: 27px;
}
.sp_control_box p{
    margin: 0;
    line-height: 27px;
    padding-left: 8px;
    font-size: 14px;
    font-weight: 600;
}
.sp_control_box button{
    height: 27px;
    line-height: 20px;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    font-size: 13px !important;
    padding: 0 12px;
    border: 0;
    background: white none;
    color: #666666;
    text-align: left;
    -webkit-transition: all .5s cubic-bezier(.175,.885,.32,1);
    transition: all .5s cubic-bezier(.175,.885,.32,1);
    outline: none !important;
    float: right;
    opacity: .3;
}
.sp_control_box:hover{
    background-color: #F8F8F8;
}
.sp_control_box:hover button{
    background-color: #F8F8F8;
    opacity: 1;
}
.sp_control_box:hover button:hover{
    background-color: #EEEEEE;
    color: black;
}
/**
 * 多选模式相关样式
 */
div.sp_container_combo{
    background: #fff;
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-sizing: border-box;
    vertical-align: top;
    width:100% !important;
}
/* 多选模式的禁用状态样式 */
div.sp_container_combo.sp_disabled {
    box-shadow: none;
}
div.sp_container_combo.sp_disabled,
div.sp_container_combo.sp_disabled ul.sp_element_box,
div.sp_container_combo.sp_disabled .sp_input,
div.sp_container.sp_disabled .sp_input {
    background-color: #eeeeee;
    cursor: not-allowed !important;
}
div.sp_container.sp_disabled .sp_clear_btn,
div.sp_container_combo.sp_disabled ul.sp_element_box span.tag_close{
    display: none;
}

div.sp_container_combo.sp_container_open{
    border-radius: 2px;
}
input.sp_combo_input{
    border: 0 !important;
    box-shadow: none;
    background-color: transparent;
    max-width: 100%;
    padding: 0;
    height: 34px !important;
    line-height: 34px !important;
    min-height: 34px !important;
    text-indent: 10px;
}
input.sp_combo_input:focus {
    box-shadow: none;
    border: 0;
}
input.sp_combo_input[readonly],
input.sp_combo_input[disabled]{
    background-color: white;
}
ul.sp_element_box{
    margin: 0;
    padding: 3px 0 0 3px;
    position: relative;
    overflow: hidden;
    clear: both;
    cursor: text;
    margin-right: 24px;
    list-style: none;
    height: auto;
    min-height: 25px;
    font-size: 14px;
}
ul.sp_element_box > li{
    list-style: none;
    padding: 0 5px;
    margin-right: 3px;
    margin-bottom: 3px;
    /* margin-bottom: 2px; */
    float: left;
    position: relative;
    box-sizing: content-box;
}
ul.sp_element_box li.full_width {
    width: 100%;
}
ul.sp_element_box li.full_width input{
    width: 100% !important;
}
ul.sp_element_box li.selected_tag {
    border: 1px solid #AAAAAA;
    border-radius: 3px;
    background-color: #EFEFEF;
    cursor: pointer;
    max-width: 100%;
    box-shadow: 0 0 2px white inset, 0 1px 0 rgba(0, 0, 0, 0.05);
    line-height: 24px;
    -webkit-transition: all .5s cubic-bezier(.175,.885,.32,1);
    transition: all .5s cubic-bezier(.175,.885,.32,1);
    padding-right: 20px;
}

ul.sp_element_box li.selected_tag:hover {
    background-color: white;
    border: 1px solid #D0D0D0;
    box-shadow: 0 2px 7px rgba(0,0,0,.1);
}
ul.sp_element_box li.selected_tag i {
    font-size: 14px;
    color: #AAAAAA;
}
ul.sp_element_box li.selected_tag i:hover {
    color: black;
}
ul.sp_element_box li.input_box {
    padding: 0;
    /* margin: 0; */
    margin-top: 0;
    height: 26px;
    min-height: 26px;
}
ul.sp_element_box li.input_box input {
    height: 26px !important;
    line-height: 26px !important;
    min-height: 26px !important;
}
ul.sp_element_box li.selected_tag span.tag_close {
    position: absolute;
    right: 0;
    top: 0;
    cursor: pointer;
}

/**
 * 加深颜色表示非选中
 */
.sp_results_off {
    /*background: rgba(255, 255, 255, 0.8);*/
}

.sp_input_off {
    background: #eee;
    color: #333333;
}

.sp_hide {
    display: none;
}

/**
 * Navi
 */
.sp_navi {
    background: #eee;
    border-bottom: 1px solid #79b;
    font-size: 13px;
    font-weight: normal;
    line-height: 1;
    margin: 0;
    padding: 4px;
    text-align: right;
}

.sp_navi > p > a:link,
.sp_navi > p > a:visited,
.sp_navi > p > a:hover,
.sp_navi > p > a:active {
    color: blue;
    font-weight: normal;
    margin: 0 4px;
    text-decoration: underline;
}

.sp_navi > p {
    color: black;
    font-size: 15px;
    margin: 0;
    padding-top: 4px;
    text-align: center;
}

.sp_navi > p > a >.current {
    color: #00c;
    font-size: 16px;
    font-weight: bold;
}

.sp_navi > p >.page_end {
    color: gray;
    font-weight: normal;
    margin: 0 4px;
}

.navi_page,
.navi_first,
.navi_prev,
.navi_next,
.navi_last {
    margin: auto 4px !important;
}

.sp_navi > .info {
    margin: 0 !important;
    padding: 0 !important;
}

/**
 * Select only
 */
.sp_container > .sp_select_ng {
    background: #fcc;
}







/*输入框设置了input-block-level样式时的特殊情况修复*/
div.sp_container input.sp_input.input-block-level{
    box-sizing:border-box;
    height: 30px;
    line-height: 30px;
    min-height: 30px;
    width: 100%;
}

div.sp_container_open .sp_input::-ms-clear{display:none;}
/* 移除微软浏览器，在输入框输入文本后，会出现X的问题，but is look like not working */
input::-ms-clear{display:none;}/*隐藏文本框叉子*/
input::-ms-reveal{display:none;}/*隐藏密码框小眼睛*/

div.sp_navi > p {
    font-size: 12px;
}




/**
 * 分页条样式（基于Bootstrap2的样式进行调整）
 */
div.sp_result_area div.sp_pagination {
    margin: 0;
    padding: 0;
    height: 26px;
    line-height: 26px;
    width: 100%;
    /* border-top: 1px solid #DDDDDD; */
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
    display: block;
}
div.sp_result_area div.sp_pagination ul {
    width: 100%;
    display: inline-block;
    margin: 0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    border-bottom-left-radius: 2px;
    border-bottom-right-radius: 2px;
    /*     -webkit-box-shadow: 0 1px 2px rgba(0,0,0,0.05);
        -moz-box-shadow: 0 1px 2px rgba(0,0,0,0.05);
        box-shadow: 0 1px 2px rgba(0,0,0,0.05); */
    padding: 0;
}
div.sp_result_area div.sp_pagination li{
    text-align: center;
    display: inline;
    box-sizing: border-box;
}
div.sp_result_area div.sp_pagination>ul>li>a {
    margin: 0;
    /* border: 1px solid #ddd; */
    border-radius: 0;
    padding: 0;
    box-shadow:         none;
    -moz-box-shadow:    none;
    -webkit-box-shadow: none;
    background-color: white;

    float: left;
    text-decoration: none;

    border: 0;
    box-sizing: content-box;
    color: #666666;
    font-size: 20px;
    height: 26px;
    line-height: 26px;
    -webkit-transition: all .5s cubic-bezier(.175,.885,.32,1);
    transition: all .5s cubic-bezier(.175,.885,.32,1);
}

div.sp_result_area div.sp_pagination li.csFirstPage a,
div.sp_result_area div.sp_pagination li.csPreviousPage a,
div.sp_result_area div.sp_pagination li.csNextPage a,
div.sp_result_area div.sp_pagination li.csLastPage a {
    width: 30px;
}
div.sp_result_area div.sp_pagination li.csFirstPage a{
    border-left: 0;
    border-bottom-left-radius: 2px;
}
div.sp_result_area div.sp_pagination li.csLastPage a{
    border-right: 0;
    border-bottom-right-radius: 2px;
}

div.sp_result_area div.sp_pagination>ul>li>a:hover {
    color: #000000; background-color: #E8E8E8;
}
div.sp_result_area div.sp_pagination>ul>li.disabled>a{
    color: #DDDDDD;
    cursor: default;
}
div.sp_result_area div.sp_pagination>ul>li.disabled>a:hover {
    color: #DDDDDD;background-color: white;
}

div.sp_result_area div.sp_pagination>ul>li.pageInfoBox>a {
    width: 178px;
    text-align: center;
    /* padding-left: 4px;
    padding-right: 4px; */
    color: #666666;
    font-size: 14px;
}
div.sp_result_area div.sp_pagination>ul>li.pageInfoBox>a:hover {
    background-color: inherit;
    color: #666666;
    cursor: default;
}







/* icons */
.iconfont:before{background-image: url(https://51javac.com/content/dam/zte-site/www-zte-com-cn/asserts/global/eccnfiles/sprite.png); background-repeat: no-repeat; display: inline-block; content: ""; width: 20px; height: 20px;}

.if-first:before { background-position: -15px -20px;  }
.if-last:before { background-position: -63px -20px; }
.if-next:before { background-position: -47px -20px;  }
.if-warning:before {background-position: 3px -56px; }
.if-previous:before { background-position: -33px -20px; }
.if-close:before {background-position: 5px -18px;}
.if-unselect-all:before {background-position: 3px -36px;}
.if-clear:before { background-position: -85px -38px;}
.if-select-all:before { background-position: -84px -19px; }

div.sp_result_area div.sp_pagination>ul>li.disabled>a .if-first:before{background-position: -15px -38px; cursor: default;}
div.sp_result_area div.sp_pagination>ul>li.disabled>a .if-previous:before{background-position: -33px -38px; cursor: default;}
div.sp_result_area div.sp_pagination>ul>li.disabled>a .if-next:before{background-position: -47px -38px; cursor: default;}
div.sp_result_area div.sp_pagination>ul>li.disabled>a .if-last:before{background-position: -63px -38px; cursor: default;}


/**meida**/
@media only screen and (max-width:768px){
    ul.sp_element_box li.selected_tag{
        font-size: .8em;
    }
    ul.sp_element_box li.selected_tag i {
        vertical-align: text-bottom;
    }
    .sp_result_area{ width: 74.5%;}
    .sp_results > li{ font-size: 1.4em;}
    }